const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    v4_3 = __asm_movupd(*((esi_global_2d_to_2d_local - 120)));
    v4_8 = __asm_movsd(*((esi_global_2d_to_2d_local - 104)));
    v5_d = __asm_mulpd(v4_3, *((edi - 32)));
    v5_12 = __asm_mulsd(v4_8, *((edi - 32))) # bp+12;
    v5_17 = __asm_addpd(v5_d, *((edi - 64))) # bp+17;
    v5_1c = __asm_addsd(v5_12, *((edi - 48)));
    if *((edi - 76)) != 0:;
        v4_27 = __asm_movsd(esi_global_2d_to_2d_local[112]) # bp+27;
        v5_2c = __asm_mulsd(v4_27, *((edi - 32)));
        __asm_movupd_1(*((esi_global_2d_to_2d_local - 120)), v5_17);
        *((esi_global_2d_to_2d_local - 104)) = __asm_movsd_2(v5_1c);
        esi_global_2d_to_2d_local[112] = __asm_movsd_2(v5_2c);
    __asm_movupd_1(stack_var__2d_38, v5_17);
    v1_45 = __asm_movsd_2(v5_1c) # bp+45;
    sqrtl(sqrtl(tmp268 * tmp268 + stack_var__2d_38 * stack_var__2d_38));
    __asm_fpatan(v1_45);
    fabsl((stack_var__2d_38 * *((edi - 80)) + *((edi - 72)) * edi[8]) * edi + tmp268 * *((edi - 96)));
    # bb275;
    __asm_wait();
    if __asm_fnstsw(fpsw_global_2d_to_2d_local) & 256 == 0:;
        pass;
    # 0x9d;
    fabs(stack_var__2d_38);
    __asm_wait();
    __asm_fnstsw(fpsw_global_2d_to_2d_local);
    tmp279 = fabs(tmp268);
    v0_c1 = __asm_wait();
    v1_c2 = __asm_fnstsw(fpsw_global_2d_to_2d_local);
    v1_d7_pre = tmp279 - *((edi - 16));
    if *((edi - 76)) == 0:;
        # 0xd4;
        v1_d7 = v1_d7_pre / *((edi - 32));
    else:;
        v1_d7 = v1_d7_pre;
    # 0xd7;
    *((esi_global_2d_to_2d_local - 32)) = v1_d7;
    return v0_c1 & -0x10000 | v1_c2 & -0xff01 | v1_c2 / 2 & 0x7f00;


	}